Package com.sas.lsaf.schedule

## Enum ScheduleDescriptor.ScheduleStatus

- java.lang.Object
- - java.lang.Enum<ScheduleDescriptor.ScheduleStatus>
  - - com.sas.lsaf.schedule.ScheduleDescriptor.ScheduleStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ScheduleDescriptor.ScheduleStatus>`
  Enclosing class:
    ScheduleDescriptor

      public static enum ScheduleDescriptor.ScheduleStatus
      extends java.lang.Enum<ScheduleDescriptor.ScheduleStatus>

  The status of a schedule.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` |
    `JOB_NOT_AVAILABLE` |
    `NORMAL` |
    `PAUSED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScheduleDescriptor.ScheduleStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ScheduleDescriptor.ScheduleStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final ScheduleDescriptor.ScheduleStatus NORMAL

    - #### PAUSED

          public static final ScheduleDescriptor.ScheduleStatus PAUSED

    - #### ERROR

          public static final ScheduleDescriptor.ScheduleStatus ERROR

    - #### JOB_NOT_AVAILABLE

          public static final ScheduleDescriptor.ScheduleStatus JOB_NOT_AVAILABLE

  - ### Method Detail

    - #### values

          public static ScheduleDescriptor.ScheduleStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScheduleDescriptor.ScheduleStatus c : ScheduleDescriptor.ScheduleStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScheduleDescriptor.ScheduleStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null